<div class="container-fluid">
  <h1 class="text-center">Add Movie</h1>
  <form>
    <div class="form-group">
      <label>Movie Name</label>
      <input
        #namemovie
        type="text"
        placeholder="Enter Movie Name"
        class="form-control"
      />
    </div>
    <div class="form-group">
      <label>Movie Year</label>
      <input
        #yearmovie
        type="text"
        placeholder="Enter Movie Year"
        class="form-control"
      />
    </div>
    <div class="form-group">
      <label>Plot</label>
      <textarea
        #plotmovie
        class="form-control"
        height="200"
        placeholder="Enter Movie Plot"
      ></textarea>
    </div>
    <div class="form-group">
      <label>Actors</label>
      <ng-multiselect-dropdown
        ng-model="string"
        #actormovie
        [placeholder]="'Add Actors'"
        [settings]="dropdownSettings"
        [data]="dropDownList"
      ></ng-multiselect-dropdown>
    </div>
    <div class="form-group">
      <label>Producers</label>
      <select #producermovie class="form-control">
        <option *ngFor="let producer of producers" [id]="producer.producerid">
          {{ producer.name }}
        </option>
      </select>
    </div>
    <div class="form-group">
      <label>Upload Movie Poster</label>
      <br />
      <input
        #postermovie
        type="file"
        (change)="onFileChange($event)"
        accept="image/png, image/gif, image/jpeg"
      />
    </div>
    <div class="d-flex justify-content-center">
      <button
        type="submit"
        class="btn btn-lg btn-primary"
        (click)="
          addMovie(
            namemovie.value,
            yearmovie.value,
            plotmovie.value,
            actormovie.selectedItems,
            producermovie[producermovie.selectedIndex].id
          )
        "
      >
        Add Movie
      </button>
    </div>
  </form>
  <div class="form-group d-flex justify-content-around">
    <button
      class="btn btn-lg btn-outline-primary"
      (click)="openActor(actormodal)"
    >
      Add Actor
    </button>
    <button
      class="btn btn-lg btn-outline-primary"
      (click)="openProducer(producermodal)"
    >
      Add Producer
    </button>
  </div>
</div>

<!-- Add Actor Modal -->
<ng-template #actormodal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Add Actor</h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="form-group">
        <label>Name</label>
        <input type="text" #actorname class="form-control" />
      </div>
      <div class="form-group">
        <label>Sex</label>
        <select #actorsex class="form-control">
          <option *ngFor="let sex of sexArr">
            {{ sex }}
          </option>
        </select>
      </div>
      <div class="form-group">
        <label>Date of Birth</label>
        <input #actordob type="date" class="form-control" />
      </div>
      <div class="form-group">
        <label>Bio</label>
        <textarea
          ng-model="string"
          #actorbio
          type="text"
          class="form-control"
        ></textarea>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-outline-dark"
      (click)="
        modal.close({
          name: actorname.value,
          sex: actorsex.value,
          dob: actordob.value,
          bio: actorbio.value
        })
      "
    >
      Save Actor
    </button>
  </div>
</ng-template>

<!-- Add Producer Modal -->
<ng-template #producermodal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Add Producer</h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="form-group">
        <label>Name</label>
        <input #producername type="text" class="form-control" />
      </div>
      <div class="form-group">
        <label>Sex</label>
        <select #producersex class="form-control">
          <option *ngFor="let sex of sexArr">
            {{ sex }}
          </option>
        </select>
      </div>
      <div class="form-group">
        <label>Date of Birth</label>
        <input type="date" #producerdob class="form-control" />
      </div>
      <div class="form-group">
        <label>Bio</label>
        <textarea
          ng-model="string"
          type="text"
          #producerbio
          class="form-control"
        ></textarea>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-outline-dark"
      (click)="
        modal.close({
          name: producername.value,
          sex: producersex.value,
          dob: producerdob.value,
          bio: producerbio.value
        })
      "
    >
      Save Producer
    </button>
  </div>
</ng-template>
